#
# spec file for package texlive-specs-d
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_slice d
%define __perl_requires		%{nil}
%define __os_install_post       /usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}
# skip-check-libtool-deps
%if 0%{?_with_debug:1}
%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
%endif

# skip-check-libtool-deps
Name:           texlive-specs-d
Version:        2012
Release:        4.5.2
Summary:        One spec file for all TeX Live packages
License:        Artistic-1.0 and GPL-2.0+ and LGPL-2.1+ and LPPL-1.0 and SUSE-Public-Domain
Group:          Development/Tools/Building
Url:            http://build.opensuse.org/package/show?package=texlive-specs-d&project=Publishing:TeXLive
Source0:        texlive-specs.tar.xz
Source1000:     dancers.tar.xz
Source1001:     dashbox.doc.tar.xz
Source1002:     dashbox.tar.xz
Source1003:     dashrule.doc.tar.xz
Source1004:     dashrule.tar.xz
Source1005:     dashundergaps.doc.tar.xz
Source1006:     dashundergaps.tar.xz
Source1007:     datatool.doc.tar.xz
Source1008:     datatool.tar.xz
Source1009:     dateiliste.doc.tar.xz
Source1010:     dateiliste.tar.xz
Source1011:     datenumber.doc.tar.xz
Source1012:     datenumber.tar.xz
Source1013:     datetime.doc.tar.xz
Source1014:     datetime.tar.xz
Source1015:     dblfloatfix.doc.tar.xz
Source1016:     dblfloatfix.tar.xz
Source1017:     dcpic.doc.tar.xz
Source1018:     dcpic.tar.xz
Source1019:     de-macro.doc.tar.xz
Source1020:     de-macro.tar.xz
Source1021:     decimal.doc.tar.xz
Source1022:     decimal.tar.xz
Source1023:     decorule.doc.tar.xz
Source1024:     decorule.tar.xz
Source1025:     dehyph-exptl.doc.tar.xz
Source1026:     dehyph-exptl.tar.xz
Source1027:     dejavu.doc.tar.xz
Source1028:     dejavu.tar.xz
Source1029:     delim.doc.tar.xz
Source1030:     delim.tar.xz
Source1031:     delimtxt.doc.tar.xz
Source1032:     delimtxt.tar.xz
Source1033:     detex.doc.tar.xz
Source1034:     devnag.tar.xz
Source1035:     dhua.doc.tar.xz
Source1036:     dhua.tar.xz
Source1037:     diagbox.doc.tar.xz
Source1038:     diagbox.tar.xz
Source1039:     diagmac2.doc.tar.xz
Source1040:     diagmac2.tar.xz
Source1041:     diagnose.doc.tar.xz
Source1042:     diagnose.tar.xz
Source1043:     dice.doc.tar.xz
Source1044:     dice.tar.xz
Source1045:     dichokey.doc.tar.xz
Source1046:     dichokey.tar.xz
Source1047:     dictsym.doc.tar.xz
Source1048:     dictsym.tar.xz
Source1049:     digiconfigs.doc.tar.xz
Source1050:     digiconfigs.tar.xz
Source1051:     din1505.doc.tar.xz
Source1052:     din1505.tar.xz
Source1053:     dinat.doc.tar.xz
Source1054:     dinat.tar.xz
Source1055:     dinbrief.doc.tar.xz
Source1056:     dinbrief.tar.xz
Source1057:     dingbat.doc.tar.xz
Source1058:     dingbat.tar.xz
Source1059:     directory.doc.tar.xz
Source1060:     directory.tar.xz
Source1061:     dirtree.doc.tar.xz
Source1062:     dirtree.tar.xz
Source1063:     dirtytalk.doc.tar.xz
Source1064:     dirtytalk.tar.xz
Source1065:     disser.doc.tar.xz
Source1066:     disser.tar.xz
Source1067:     dk-bib.doc.tar.xz
Source1068:     dk-bib.tar.xz
Source1069:     dlfltxb.doc.tar.xz
Source1070:     dlfltxb.tar.xz
Source1071:     dnaseq.doc.tar.xz
Source1072:     dnaseq.tar.xz
Source1073:     dnp.tar.xz
Source1074:     doc-pictex.doc.tar.xz
Source1075:     docmfp.doc.tar.xz
Source1076:     docmfp.tar.xz
Source1077:     docmute.doc.tar.xz
Source1078:     docmute.tar.xz
Source1079:     documentation.doc.tar.xz
Source1080:     documentation.tar.xz
Source1081:     doi.doc.tar.xz
Source1082:     doi.tar.xz
Source1083:     doipubmed.doc.tar.xz
Source1084:     doipubmed.tar.xz
Source1085:     dosepsbin.doc.tar.xz
Source1086:     dosepsbin.tar.xz
Source1087:     dot2texi.doc.tar.xz
Source1088:     dot2texi.tar.xz
Source1089:     dotarrow.doc.tar.xz
Source1090:     dotarrow.tar.xz
Source1091:     dotseqn.doc.tar.xz
Source1092:     dotseqn.tar.xz
Source1093:     dottex.doc.tar.xz
Source1094:     dottex.tar.xz
Source1095:     doublestroke.doc.tar.xz
Source1096:     doublestroke.tar.xz
Source1097:     dowith.doc.tar.xz
Source1098:     dowith.tar.xz
Source1099:     dox.doc.tar.xz
Source1100:     dox.tar.xz
Source1101:     dozenal.doc.tar.xz
Source1102:     dozenal.tar.xz
Source1103:     dpfloat.doc.tar.xz
Source1104:     dpfloat.tar.xz
Source1105:     dprogress.doc.tar.xz
Source1106:     dprogress.tar.xz
Source1107:     drac.doc.tar.xz
Source1108:     drac.tar.xz
Source1109:     draftcopy.doc.tar.xz
Source1110:     draftcopy.tar.xz
Source1111:     draftwatermark.doc.tar.xz
Source1112:     draftwatermark.tar.xz
Source1113:     dramatist.doc.tar.xz
Source1114:     dramatist.tar.xz
Source1115:     dratex.doc.tar.xz
Source1116:     dratex.tar.xz
Source1117:     drawstack.doc.tar.xz
Source1118:     drawstack.tar.xz
Source1119:     droid.doc.tar.xz
Source1120:     droid.tar.xz
Source1121:     droit-fr.doc.tar.xz
Source1122:     droit-fr.tar.xz
Source1123:     drs.doc.tar.xz
Source1124:     drs.tar.xz
Source1125:     drv.doc.tar.xz
Source1126:     drv.tar.xz
Source1127:     dtk.doc.tar.xz
Source1128:     dtk.tar.xz
Source1129:     dtl.tar.xz
Source1130:     dtxgallery.doc.tar.xz
Source1131:     dtxgallery.source.tar.xz
Source1132:     dtxtut.doc.tar.xz
Source1133:     duerer-latex.doc.tar.xz
Source1134:     duerer-latex.tar.xz
Source1135:     duerer.doc.tar.xz
Source1136:     duerer.tar.xz
Source1137:     duotenzor.doc.tar.xz
Source1138:     duotenzor.tar.xz
Source1139:     dutchcal.doc.tar.xz
Source1140:     dutchcal.tar.xz
Source1141:     dvdcoll.doc.tar.xz
Source1142:     dvdcoll.tar.xz
Source1143:     dviasm.tar.xz
Source1144:     dvicopy.doc.tar.xz
Source1145:     dvidvi.tar.xz
Source1146:     dviincl.doc.tar.xz
Source1147:     dviincl.tar.xz
Source1148:     dviljk.doc.tar.xz
Source1149:     dvipdfm.doc.tar.xz
Source1150:     dvipdfm.requires
Source1151:     dvipdfm.tar.xz
Source1152:     dvipdfmx-def.tar.xz
Source1153:     dvipdfmx.doc.tar.xz
Source1154:     dvipdfmx.post
Source1155:     dvipdfmx.requires
Source1156:     dvipdfmx.tar.xz
Source1157:     dvipng.doc.tar.xz
Source1158:     dvipos.doc.tar.xz
Source1159:     dvips.doc.tar.xz
Source1160:     dvips.requires
Source1161:     dvips.tar.xz
Source1162:     dvipsconfig.tar.xz
Source1163:     dvisvgm.doc.tar.xz
Source1164:     dyntree.doc.tar.xz
Source1165:     dyntree.tar.xz
NoSource:       1000
NoSource:       1001
NoSource:       1002
NoSource:       1003
NoSource:       1004
NoSource:       1005
NoSource:       1006
NoSource:       1007
NoSource:       1008
NoSource:       1009
NoSource:       1010
NoSource:       1011
NoSource:       1012
NoSource:       1013
NoSource:       1014
NoSource:       1015
NoSource:       1016
NoSource:       1017
NoSource:       1018
NoSource:       1019
NoSource:       1020
NoSource:       1021
NoSource:       1022
NoSource:       1023
NoSource:       1024
NoSource:       1025
NoSource:       1026
NoSource:       1027
NoSource:       1028
NoSource:       1029
NoSource:       1030
NoSource:       1031
NoSource:       1032
NoSource:       1033
NoSource:       1034
NoSource:       1035
NoSource:       1036
NoSource:       1037
NoSource:       1038
NoSource:       1039
NoSource:       1040
NoSource:       1041
NoSource:       1042
NoSource:       1043
NoSource:       1044
NoSource:       1045
NoSource:       1046
NoSource:       1047
NoSource:       1048
NoSource:       1049
NoSource:       1050
NoSource:       1051
NoSource:       1052
NoSource:       1053
NoSource:       1054
NoSource:       1055
NoSource:       1056
NoSource:       1057
NoSource:       1058
NoSource:       1059
NoSource:       1060
NoSource:       1061
NoSource:       1062
NoSource:       1063
NoSource:       1064
NoSource:       1065
NoSource:       1066
NoSource:       1067
NoSource:       1068
NoSource:       1069
NoSource:       1070
NoSource:       1071
NoSource:       1072
NoSource:       1073
NoSource:       1074
NoSource:       1075
NoSource:       1076
NoSource:       1077
NoSource:       1078
NoSource:       1079
NoSource:       1080
NoSource:       1081
NoSource:       1082
NoSource:       1083
NoSource:       1084
NoSource:       1085
NoSource:       1086
NoSource:       1087
NoSource:       1088
NoSource:       1089
NoSource:       1090
NoSource:       1091
NoSource:       1092
NoSource:       1093
NoSource:       1094
NoSource:       1095
NoSource:       1096
NoSource:       1097
NoSource:       1098
NoSource:       1099
NoSource:       1100
NoSource:       1101
NoSource:       1102
NoSource:       1103
NoSource:       1104
NoSource:       1105
NoSource:       1106
NoSource:       1107
NoSource:       1108
NoSource:       1109
NoSource:       1110
NoSource:       1111
NoSource:       1112
NoSource:       1113
NoSource:       1114
NoSource:       1115
NoSource:       1116
NoSource:       1117
NoSource:       1118
NoSource:       1119
NoSource:       1120
NoSource:       1121
NoSource:       1122
NoSource:       1123
NoSource:       1124
NoSource:       1125
NoSource:       1126
NoSource:       1127
NoSource:       1128
NoSource:       1129
NoSource:       1130
NoSource:       1131
NoSource:       1132
NoSource:       1133
NoSource:       1134
NoSource:       1135
NoSource:       1136
NoSource:       1137
NoSource:       1138
NoSource:       1139
NoSource:       1140
NoSource:       1141
NoSource:       1142
NoSource:       1143
NoSource:       1144
NoSource:       1145
NoSource:       1146
NoSource:       1147
NoSource:       1148
NoSource:       1149
NoSource:       1151
NoSource:       1152
NoSource:       1153
NoSource:       1156
NoSource:       1157
NoSource:       1158
NoSource:       1159
NoSource:       1161
NoSource:       1162
NoSource:       1163
NoSource:       1164
NoSource:       1165
BuildRequires:  buffer
BuildRequires:  ed
BuildRequires:  file
BuildRequires:  fontconfig
BuildRequires:  ghostscript-fonts-std
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
BuildRequires:  texlive-filesystem
BuildConflicts: texinfo
BuildRequires:  xfs
BuildRequires:  xorg-x11-fonts-core
BuildRequires:  xz
BuildArch:      noarch

%description
Use one rpm spec file for repackaging the texmf/texmf-dist
the several tar balls of TeX Live. 

%prep
pushd %_sourcedir
    chmod g-w *.tar.xz
popd
%setup -n texlive-specs -q
%build
(cat > Makefile)<<'EOF'
 topdir=$(abspath ../..)
rootdir=$(topdir)/BUILDROOT
 SHELL := /bin/bash

%%.rpm: root=$(rootdir)/$*.noarch
%%.rpm: %%.spec
	exec > >(exec buffer -s 256k -m 1m -u 10) 2>&1; \
	rpmbuild -ba --buildroot $(root) --define '_srcdefattr (-,root,root)' --define 'rlobs %release' %{?disturl:--define 'disturl %disturl'} $< && \
	rm -rf $(topdir)/BUILD/$*-[0-9]*

%if %{defined build_slice}
specs := $(foreach spec,%build_slice,$(wildcard texlive-$(spec)*.spec))
%else
specs := $(sort $(filter-out texlive-specs.specs,$(wildcard *.spec)))
%endif
rpms := $(specs:.spec=.rpm)

all: $(rpms)
EOF
make topdir=%{_topdir} %{?_smp_mflags}

%install

%files
%defattr(-,root,root,0755)

%changelog
* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867)
- Avoid line break in patch pgf_plain.dif (bnc#823273)
* Tue May  7 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.
* Mon May  6 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)
* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %%post scriptlet.
* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)
* Tue Feb  5 2013 werner@suse.de
- Work around missing support of %%posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)
* Tue Oct  9 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)
* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically
* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0
  Aggregate licenses for spec file without subpackages
* Thu Aug  2 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype
* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches
* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch
* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator
* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719)
* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet
* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin
* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree
* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive
* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script
* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles
* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split
* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run
* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin
* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo
* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables
* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies
* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy
* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel
* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611)
* Mon Jun  4 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server
* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts
* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number
* Thu May 31 2012 werner@suse.de
- Change version/release scheme
- Avoid to list optional loaded but not existing files as required
* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046)
* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file
* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts
* Wed May  9 2012 werner@suse.de
- Make rpm lint happy
* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
